cURL
curl --request GET \
--url https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/cms/api/v1/customer/wallet/{customer_id}/{wallet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet fetched successfully",
"data": {
"id": 42,
"wallet_address": "0x1234567890123456789012345678901234567890",
"network": "Ethereum",
"label": "Main wallet",
"status": "ACTIVE",
"is_visible": true,
"created_at": "2026-09-30T10:00:00Z"
}
}{
"status": false,
"message": "Bad Request",
"data": null,
"errors": {
"non_field_errors": [
"Wallet not found."
]
},
"err_code": "UNKNOWN_ERROR"
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"errors": {},
"err_code": "SYS_INTERNAL_ERROR"
}Wallets
Fetch Wallet
Returns one wallet linked to a customer, by its integer wallet ID.
GET
/
customer
/
wallet
/
{customer_id}
/
{wallet_id}
cURL
Fetch Wallet
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
Customer's unique identifier
Wallet ID returned by Add Wallet (integer)
⌘I